# Departments Departments ## Gets all of the departments in the system. - [GET /departments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/listdepartments.md): This method will scan all departments and and return them to the caller. ## Creates a new department record that does not already exist. - [POST /departments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/createdepartment.md): This method will auto-generate an ID and create a new department. If an ID is specified for the department, an error will be thrown. ## Execute Batch Operations - [POST /departments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a department from the system by its ID. - [DELETE /departments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/deletedepartment.md): This method will delete a department with the specified ID. ## Returns a department from the system by its ID. - [GET /departments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/getdepartment.md): This method will look up a department by the specified ID and return it back. ## Partially updates a department with the specified ID. - [PATCH /departments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/patchdepartment.md): This method will patch an existing department with the specified ID, using the HTTP PATCH specification. ## Updates a department with the specified ID. - [PUT /departments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/updatedepartment.md): This method will update an existing department with the specified ID.